

- ifdef fix in kmap_types.h (Oleg Drokin)

- remove redundant ext3 inclusions (Burton Windle)

- Fix misidentified warning printk in vmalloc.c

- radeon_cp printk warning fix (Randy Dunlap)

- Update minimum binutils version for the ".incbin" think in vsyscall.S

- update raw driver to recent module API.

- update my email address


 25-akpm/Documentation/Changes         |    2 +-
 25-akpm/MAINTAINERS                   |    4 ++--
 25-akpm/drivers/char/drm/radeon_cp.c  |    4 ++--
 25-akpm/drivers/char/raw.c            |    4 ++--
 25-akpm/fs/ext3/fsync.c               |    2 --
 25-akpm/include/asm-i386/kmap_types.h |    2 +-
 25-akpm/mm/vmalloc.c                  |    3 +--
 7 files changed, 9 insertions(+), 12 deletions(-)

diff -puN include/asm-i386/kmap_types.h~misc include/asm-i386/kmap_types.h
--- 25/include/asm-i386/kmap_types.h~misc	Tue May  6 17:37:22 2003
+++ 25-akpm/include/asm-i386/kmap_types.h	Tue May  6 17:37:22 2003
@@ -3,7 +3,7 @@
 
 #include <linux/config.h>
 
-#if CONFIG_DEBUG_HIGHMEM
+#ifdef CONFIG_DEBUG_HIGHMEM
 # define D(n) __KM_FENCE_##n ,
 #else
 # define D(n)
diff -puN fs/ext3/fsync.c~misc fs/ext3/fsync.c
--- 25/fs/ext3/fsync.c~misc	Tue May  6 17:37:22 2003
+++ 25-akpm/fs/ext3/fsync.c	Tue May  6 17:37:22 2003
@@ -27,8 +27,6 @@
 #include <linux/jbd.h>
 #include <linux/ext3_fs.h>
 #include <linux/ext3_jbd.h>
-#include <linux/jbd.h>
-#include <linux/smp_lock.h>
 
 /*
  * akpm: A new design for ext3_sync_file().
diff -puN mm/vmalloc.c~misc mm/vmalloc.c
--- 25/mm/vmalloc.c~misc	Tue May  6 17:37:22 2003
+++ 25-akpm/mm/vmalloc.c	Tue May  6 17:37:22 2003
@@ -97,8 +97,7 @@ static int map_area_pte(pte_t *pte, unsi
 	do {
 		struct page *page = **pages;
 
-		if (!pte_none(*pte))
-			printk(KERN_ERR "alloc_area_pte: page already exists\n");
+		WARN_ON(!pte_none(*pte));
 		if (!page)
 			return -ENOMEM;
 
diff -puN drivers/char/drm/radeon_cp.c~misc drivers/char/drm/radeon_cp.c
--- 25/drivers/char/drm/radeon_cp.c~misc	Tue May  6 17:37:22 2003
+++ 25-akpm/drivers/char/drm/radeon_cp.c	Tue May  6 17:37:22 2003
@@ -903,8 +903,8 @@ static void radeon_cp_init_ring_buffer( 
 
 		RADEON_WRITE( RADEON_CP_RB_RPTR_ADDR,
 			     entry->busaddr[page_ofs]);
-		DRM_DEBUG( "ring rptr: offset=0x%08x handle=0x%08lx\n",
-			   entry->busaddr[page_ofs],
+		DRM_DEBUG( "ring rptr: offset=0x%08lx handle=0x%08lx\n",
+			   (unsigned long) entry->busaddr[page_ofs],
 			   entry->handle + tmp_ofs );
 	}
 
diff -puN Documentation/Changes~misc Documentation/Changes
--- 25/Documentation/Changes~misc	Tue May  6 17:37:22 2003
+++ 25-akpm/Documentation/Changes	Tue May  6 17:37:22 2003
@@ -50,7 +50,7 @@ with pcmcia-cs.
 
 o  Gnu C                  2.95.3                  # gcc --version
 o  Gnu make               3.78                    # make --version
-o  binutils               2.9.5.0.25              # ld -v
+o  binutils               2.12                    # ld -v
 o  util-linux             2.10o                   # fdformat --version
 o  module-init-tools      0.9.9                   # depmod -V
 o  e2fsprogs              1.29                    # tune2fs
diff -puN drivers/char/raw.c~misc drivers/char/raw.c
--- 25/drivers/char/raw.c~misc	Tue May  6 17:37:22 2003
+++ 25-akpm/drivers/char/raw.c	Tue May  6 17:37:22 2003
@@ -181,7 +181,7 @@ static int raw_ctl_ioctl(struct inode *i
 			}
 			if (rawdev->binding) {
 				bdput(rawdev->binding);
-				MOD_DEC_USE_COUNT;
+				module_put(THIS_MODULE);
 			}
 			if (rq.block_major == 0 && rq.block_minor == 0) {
 				/* unbind */
@@ -191,7 +191,7 @@ static int raw_ctl_ioctl(struct inode *i
 				if (rawdev->binding == NULL)
 					err = -ENOMEM;
 				else
-					try_module_get(THIS_MODULE);
+					__module_get(THIS_MODULE);
 			}
 			up(&raw_mutex);
 		} else {
diff -puN MAINTAINERS~misc MAINTAINERS
--- 25/MAINTAINERS~misc	Tue May  6 17:37:39 2003
+++ 25-akpm/MAINTAINERS	Tue May  6 17:37:57 2003
@@ -679,7 +679,7 @@ S:	Maintained
 
 EXT3 FILE SYSTEM
 P:	Stephen Tweedie, Andrew Morton
-M:	sct@redhat.com, akpm@zip.com.au, adilger@clusterfs.com
+M:	sct@redhat.com, akpm@digeo.com, adilger@clusterfs.com
 L:	ext3-users@redhat.com
 S:	Maintained
 
@@ -1270,7 +1270,7 @@ S:	Maintained
 
 NETWORK DEVICE DRIVERS
 P:	Andrew Morton
-M:	akpm@zip.com.au
+M:	akpm@digeo.com
 P:	Jeff Garzik
 M:	jgarzik@pobox.com
 L:	linux-net@vger.kernel.org

_
